Overview | Package | Class | Tree | Deprecated | Index | Help
| Java EE 5 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.persistence
Interface EntityManagerFactory

    public interface EntityManagerFactory

The `EntityManagerFactory` interface is used by the application to obtain an application-managed entity manager. When the application has finished using the entity manager factory, and/or at application shutdown, the application should close the entity manager factory. Once an `EntityManagerFactory` has been closed, all its entity managers are considered to be in the closed state.

Since:
  Java Persistence 1.0

Method Summary
`void` | `close()` Close the factory, releasing any resources that it holds.
`EntityManager` | `createEntityManager()` Create a new EntityManager.
`EntityManager` | `createEntityManager(Map map)` Create a new EntityManager with the specified Map of properties.
`boolean` | `isOpen()` Indicates whether or not this factory is open.

Method Detail

### createEntityManager

    EntityManager createEntityManager()

  Create a new EntityManager. This method returns a new EntityManager instance each time it is invoked. The isOpen method will return true on the returned instance.

### createEntityManager

    EntityManager createEntityManager(Map map)

  Create a new EntityManager with the specified Map of properties. This method returns a new EntityManager instance each time it is invoked. The isOpen method will return true on the returned instance.

### close

    void close()

  Close the factory, releasing any resources that it holds. After a factory instance is closed, all methods invoked on it will throw an IllegalStateException, except for isOpen, which will return false. Once an EntityManagerFactory has been closed, all its entity managers are considered to be in the closed state.

### isOpen

    boolean isOpen()

  Indicates whether or not this factory is open. Returns true until a call to close has been made.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Java EE 5 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2006 Sun Microsystems, Inc. All rights reserved.